[ 
https://issues.apache.org/jira/browse/AIRFLOW-5261?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
 ]

Jostein Leira reassigned AIRFLOW-5261:
--------------------------------------

    Assignee: Jostein Leira

> RBAC can't use LDAP -- 'python-ldap' package is missing from setup.py
> ---------------------------------------------------------------------
>
>                 Key: AIRFLOW-5261
>                 URL: https://issues.apache.org/jira/browse/AIRFLOW-5261
>             Project: Apache Airflow
>          Issue Type: Bug
>          Components: webserver
>    Affects Versions: 1.10.4
>            Reporter: Mathew Wicks
>            Assignee: Jostein Leira
>            Priority: Major
>
> Currently with airflow 1.10.4, if you setup a clean python 3 environment, and 
> install airflow with:
> {code:python}
> pip install airflow[ldap]
> {code}
> You will be missing a required package for LDAP to work with the new RBAC, 
> giving:
> {code:java}
> Traceback (most recent call last):
>   File 
> "PYTHON_HOME/lib/python3.6/site-packages/flask_appbuilder/security/manager.py",
>  line 725, in auth_user_ldap
>     ldap.set_option(ldap.OPT_X_TLS_CACERTFILE, self.auth_ldap_tls_cacertfile)
> ModuleNotFoundError: No module named 'ldap'
> {code}
> This is because the 'ldap' tag in setup.py doesn't include the 'python-ldap' 
> package, which is needed for 'import ldap' to succeed.
> The change would need to be made here: 
> [https://github.com/apache/airflow/blob/1.10.4/setup.py#L229]



--
This message was sent by Atlassian Jira
(v8.3.4#803005)

Reply via email to